Page MenuHomePhabricator

Allow diff of deleted revisions with api
Closed, ResolvedPublic

Description

It is not possible to get the diff between deleted revisions with the api.

Thanks.


Version: 1.18.x
Severity: enhancement

Details

Reference
bz28047

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 21 2014, 11:33 PM
bzimport added a project: MediaWiki-API.
bzimport set Reference to bz28047.
bzimport added a subscriber: Unknown Object (MLST).

Do you mean revisions deleted by a sysop with action=delete which can be diff'ed through Special:Undelete, or do you mean revisions deleted through RevisionDelete ?

I mean "normal" deleted revisions with action=delete.

FYI: gerrit 168646 adds a drvdiffto param to the new deletedrevisions module, but that seems not to work for deleted revisions, so this bug is not affected.

Anomie moved this task from Unsorted to Needs Code on the MediaWiki-API board.Feb 20 2015, 7:00 PM
Anomie moved this task from Needs Code to Blocked on the MediaWiki-API board.Mar 10 2015, 9:44 PM
Anomie claimed this task.May 4 2017, 11:11 PM
Anomie moved this task from Blocked to In Dev on the MediaWiki-API board.

Change 352191 had a related patch set uploaded (by Anomie; owner: Anomie):
[mediawiki/core@master] API: Rewrite ApiComparePages

https://gerrit.wikimedia.org/r/352191

Anomie moved this task from In Dev to Needs Review on the MediaWiki-API board.May 5 2017, 7:54 PM

Change 352191 merged by jenkins-bot:
[mediawiki/core@master] API: Rewrite ApiComparePages

https://gerrit.wikimedia.org/r/352191

Anomie closed this task as Resolved.Jun 5 2017, 7:49 PM